#
# spec file for package ltrace (Version 0.3.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ltrace
Copyright:    1997,1998 Juan Cespedes <cespedes@debian.org>
#Group:        unsorted
Group:        Development/Debuggers
Autoreqprov:  on
Summary:      Trace library & system calls of a program
Version:      0.3.10
Release:      201
Source: ftp://ftp.debian.org/debian/dists/unstable/main/source/utils/ltrace_0.3.10.tar.gz
Source390: http://oss.software.ibm.com/developer/opensource/linux/patches/ltrace/ltrace-0.3.11-s390.patch.gz
Patch: ltrace-0.3.8.sparc.patch
Patch1: ltrace_ppc_patch
ExclusiveArch: i386 sparc s390 ppc

%description
ltrace is a program that simply runs the specified command until it exits.
It intercepts and records the dynamic library calls which are called by
the executed process and the signals which are received by that process.
It can also intercept and print the system calls executed by the program.
The program to be traced need not be recompiled for this, so you can
use it on binaries for which you don't have the source handy.
This is still a work in progress, so e.g. the tracking to child processes
may fail or some things may not work as expected.

Authors:
--------
    Juan Cespedes <cespedes@debian.org>
    Pat Beirne <pbeirne@home.com>
    Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>

SuSE series: d

%prep
%setup -q
%ifarch sparc
%patch -p1
%endif
%ifarch ppc
%patch1 -p1
%endif
%ifarch s390
zcat %{SOURCE390}	> ../s390.diff
patch -p1 		< ../s390.diff
%endif

%build
./configure --prefix=/usr %{_target_cpu}-suse-linux
make

%install
make install
gzip -9 /usr/share/man/man1/ltrace.1

%files
%defattr(-,root,root)
%doc COPYING README TODO BUGS ChangeLog
/usr/bin/ltrace
/usr/share/man/man1/ltrace.1.gz
%config /etc/ltrace.conf

%changelog -n ltrace
* Thu Jul 19 2001 - uli@suse.de
- added PPC port by Anton Blanchard
* Tue Apr 03 2001 - bk@suse.de
- added S/390 patch from IBM Linux Technology Center
* Mon Jan 10 2000 - kukuk@suse.de
- Update to ltrace 0.3.10
- Add patch for SPARC
* Sat Oct 23 1999 - bk@suse.de
- updated to ltrace-0.3.8
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 04 1999 - bs@suse.de
- added call of Check
* Mon Mar 29 1999 - bk@suse.de
- new package
